Review provision template leads to: HTTP-error 500 - Internal Server Error

06/25/2013 03:14 PM - Ronny M
Description

VMWare Esxi 5.0.0 managed by VSphere (VMware vCenter Server 5.0.0.16964)
CentOS release 6.2 (Final)
Foreman 1.2 RC3

Clicking the Edit button for both "PXELinux Template" and "provision Template" for a created vmware host works.
url's:

https://foreman.localdomain/config_templates/1-kickstart-default-pxelinux/edit
https://foreman.localdomain/config_templates/4-kickstart-default/edit

Also clicking the "PXELinux Template" Review button for created vmware host works
url:
https://foreman.localdomain/unattended/PXELinux?spoof=192.168.88.3

I then get the contents of the template:

default linux

label linux

kernel

append initrd= ks=http://foreman.localdomain/unattended/provision ksdevice=bootif network kssend
mac

But when | click the "provision Template" for the same vmware host:
url:
https://foreman.localdomain/unattended/provision?spoof=192.168.88.3

I get HTTP-error 500 - Internal Server Error
The kickstarted VM is also unable to retrieve the needed kickstart file during boot.

| attached debug log wich includes all 4 actions as (production-500-error.log)

Related issues:
Related to Foreman - Bug #2710: Kickstart default safemode failure Closed 06/25/2013

History

#1 - 06/25/2013 03:24 PM - Dominic Cleal
- Category set to Templates

- Status changed from New to Feedback

| wonder if this is #2710, there was a bug in the default kickstart template that meant it would trigger a safemode failure. Perhaps try changing the
line in the patch there in the template, or disable safemode via More>Settings>Provisioning>render_safemode = false and see if the 500 error goes
away.

If not, are there any more details given on the spoof page when you view it?
#2 - 06/25/2013 03:34 PM - Ronny M

Yes setting "render_safemode = false" solves the error 500 and kickstart is also working fine now.
Thanks :)

#3 - 06/25/2013 03:36 PM - Dominic Cleal

- Status changed from Feedback to Duplicate

I think it's just that change to the template then. If you get the chance to test it with safemode enabled, that'd be great.

Thanks for the ever-excellent bug reports!

#4 - 06/25/2013 04:06 PM - Ronny M

Added change in https://github.com/theforeman/community-templates/pull/15 to "Kickstart Default" template.
And changed render_safemode back to true.
Reviewing provision template and kickstart are both working fine now with render_safemode enabled :)

#5 - 06/25/2013 04:18 PM - Dominic Cleal

Perfect, thanks for testing :)

Files

production-500-error.log 10.9 KB 06/25/2013

05/20/2024

22

Ronny M


https://github.com/theforeman/community-templates/pull/15
http://www.tcpdf.org

